Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.axeda.esrs.portal.remote
Interface RemoteSessionFilter

    public interface RemoteSessionFilter

Created by IntelliJ IDEA. User: kholbrook Date: May 20, 2009 Time: 1:36:50 PM RemoteSessionFilter interface for EMC to implement for use with the custom Remote Sessions UI module

Method Summary
`java.lang.String[]` | `checkApplicationAccess(long userId, java.lang.String[] applicationNames)` Passes a list of names for applications which are available on the device and requests a filtered list of names to which the logged in user has access in return.
`java.lang.String` | `getApplicationLinkUrl(long deviceId, long applicationId)` Returns the link which will be tied to the displayed application name in the Remote Sessions module

Method Detail

### getApplicationLinkUrl

    java.lang.String getApplicationLinkUrl(long deviceId,
                                           long applicationId)

  Returns the link which will be tied to the displayed application name in the Remote Sessions module

  Parameters:
    `deviceId` - The ID of the device to which the remote session will connect
    `applicationId` - The ID of the remote application which was selected
  Returns:
    The fully formed URL which will be added to an in the UI module

### checkApplicationAccess

    java.lang.String[] checkApplicationAccess(long userId,
                                              java.lang.String[] applicationNames)

  Passes a list of names for applications which are available on the device and requests a filtered list of names to which the logged in user has access in return. This will restrict the UI to only display links to applications to which the user has access.

  Parameters:
    `userId` - The id of the currently logged in user
    `applicationNames` - The list of application names supported on the device
  Returns:
    A filtered list of application names

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD